# Created by pyp2rpm-3.3.6
%global pypi_name sphinx-autoapi

# Needs Internet
%bcond_with check

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 2
Summary:        Sphinx API documentation generator
Group:          Development/Python
License:        MIT
URL:            https://github.com/readthedocs/sphinx-autoapi
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# for tests
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(anyascii)
BuildRequires:  python3dist(beautifulsoup4)
%endif

%description
Sphinx AutoAPI provides "autodoc" style documentation for multiple programming
languages without needing to load, run, or import the project being documented.

In contrast to the traditional Sphinx autodoc, which is Python-only and uses
code imports, AutoAPI finds and generates documentation by parsing source code.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Sphinx AutoAPI provides "autodoc" style documentation for multiple programming
languages without needing to load, run, or import the project being documented.

In contrast to the traditional Sphinx autodoc, which is Python-only and uses
code imports, AutoAPI finds and generates documentation by parsing source code.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files autoapi

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc README.rst


%changelog
* Tue Dec 26 2023 wally <wally> 3.0.0-2.mga10
+ Revision: 2021744
- rebuild for py3.12
- use %%pyproject_buildrequires

* Fri Nov 10 2023 papoteur <papoteur> 3.0.0-1.mga10
+ Revision: 2005669
- new 3.0.0

* Tue Sep 19 2023 papoteur <papoteur> 2.1.1-1.mga10
+ Revision: 1988145
- new 2.1.1

* Tue Mar 29 2022 umeabot <umeabot> 1.8.1-3.mga9
+ Revision: 1833278
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.8.1-2.mga9
+ Revision: 1782478
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.8.1-1.mga9
+ Revision: 1733834
- imported package python-sphinx-autoapi

